HPL_indxl2g(3)

NAME
HPL_indxl2g - Map a index-process pair into a global index.

SYNOPSIS
#include "hpl.h"

int HPL_indxl2g( const int IL, const int INB, const int NB, const int PROC, const int SRCPROC, const int NPROCS );

DESCRIPTION
HPL_indxl2g computes the global index of a matrix entry pointed to by the local index IL of the process indicated by PROC.

ARGUMENTS

IL      (input)                 const int
    On entry, IL specifies the local index of the matrix entry. IL must be at least zero.

INB     (input)                 const int
    On entry, INB specifies the size of the first block of the global matrix. INB must be at least one.

NB      (input)                 const int
    On entry, NB specifies the blocking factor used to partition and distribute the matrix A. NB must be larger than one.

PROC    (input)                 const int
    On entry, PROC specifies the coordinate of the process whose local array row or column is to be determined. PROC must be at least zero and strictly less than NPROCS.

SRCPROC (input)                 const int
    On entry, SRCPROC specifies the coordinate of the process that possesses the first row or column of the matrix. SRCPROC must be at least zero and strictly less than NPROCS.

NPROCS  (input)                 const int
    On entry, NPROCS specifies the total number of process rows or columns over which the matrix is distributed. NPROCS must be at least one.

SEE ALSO
HPL_indxg2l (3), HPL_indxg2lp (3), HPL_indxg2p (3), HPL_numroc (3), HPL_numrocI (3).